Index: perl/Makefile.am
===================================================================
--- perl/Makefile.am	(revision eea7bed400b55cdc510b806ea4230d174b165470)
+++ perl/Makefile.am	(revision 4fd3c043e20dcdfa4672ff40ecd26b97d69f1155)
@@ -2,5 +2,4 @@
 nobase_dist_pkgdata_DATA = \
 	lib/BarnOwl.pm \
-	lib/BarnOwl/Complete/AIM.pm \
 	lib/BarnOwl/Complete/Client.pm \
 	lib/BarnOwl/Complete/Filter.pm \
@@ -17,5 +16,4 @@
 	lib/BarnOwl/MainLoopCompatHook.pm \
 	lib/BarnOwl/Message.pm \
-	lib/BarnOwl/Message/AIM.pm \
 	lib/BarnOwl/Message/Admin.pm \
 	lib/BarnOwl/Message/Generic.pm \
Index: perl/lib/BarnOwl/Complete/AIM.pm
===================================================================
--- perl/lib/BarnOwl/Complete/AIM.pm	(revision 5b483a658443559e90bd6672bfe7625d4f4def92)
+++ 	(revision )
@@ -1,34 +1,0 @@
-use strict;
-use warnings;
-
-package BarnOwl::Complete::AIM;
-
-our %users;
-
-sub complete_user { keys %users }
-
-sub canonicalize_aim {
-    my $who = shift;
-    $who =~ s{ }{}g;
-    return lc $who;
-}
-
-sub complete_aimwrite {
-    my $ctx = shift;
-    return unless $ctx->word == 1;
-    return complete_user();
-}
-
-sub on_message {
-    my $m = shift;
-    return unless $m->type eq 'AIM';
-    $users{canonicalize_aim($m->sender)} = 1;
-    $users{canonicalize_aim($m->recipient)} = 1;
-}
-
-BarnOwl::Completion::register_completer(aimwrite => \&complete_aimwrite);
-
-$BarnOwl::Hooks::newMessage->add("BarnOwl::Complete::AIM::on_message");
-
-
-1;
Index: perl/lib/BarnOwl/Complete/Filter.pm
===================================================================
--- perl/lib/BarnOwl/Complete/Filter.pm	(revision 6dba2282ab23ee49861b958b306264139560c358)
+++ perl/lib/BarnOwl/Complete/Filter.pm	(revision 4fd3c043e20dcdfa4672ff40ecd26b97d69f1155)
@@ -36,5 +36,5 @@
     body      => undef,
     hostname  => undef,
-    type      => sub { qw(zephyr aim admin); },
+    type      => sub { qw(zephyr admin); },
     direction => sub { qw(in out none); },
     login     => sub { qw(login logout none); },
Index: perl/lib/BarnOwl/Logging.pm
===================================================================
--- perl/lib/BarnOwl/Logging.pm	(revision b807d8fc90e64b4b1bbc2eea7255181f20b4d5fb)
+++ perl/lib/BarnOwl/Logging.pm	(revision 4fd3c043e20dcdfa4672ff40ecd26b97d69f1155)
@@ -75,5 +75,5 @@
             summary     => 'enable logging of login notifications',
             description => "When this is enabled, BarnOwl will log login and logout notifications\n"
-                         . "for AIM, zephyr, or other protocols.  If disabled BarnOwl will not log\n"
+                         . "for zephyr or other protocols.  If disabled BarnOwl will not log\n"
                          . "login or logout notifications."
         });
Index: perl/lib/BarnOwl/Message.pm
===================================================================
--- perl/lib/BarnOwl/Message.pm	(revision 5dee79adc05057c59de7074d72c8bbc22997f39d)
+++ perl/lib/BarnOwl/Message.pm	(revision 4fd3c043e20dcdfa4672ff40ecd26b97d69f1155)
@@ -7,5 +7,4 @@
 
 use BarnOwl::Message::Admin;
-use BarnOwl::Message::AIM;
 use BarnOwl::Message::Generic;
 use BarnOwl::Message::Loopback;
@@ -43,5 +42,5 @@
 sub is_generic  { return (shift->{"type"} eq "generic"); }
 sub is_zephyr   { return (shift->{"type"} eq "zephyr"); }
-sub is_aim      { return (shift->{"type"} eq "AIM"); }
+sub is_aim      { return ''; }
 sub is_jabber   { return (shift->{"type"} eq "jabber"); }
 sub is_icq      { return (shift->{"type"} eq "icq"); }
Index: perl/lib/BarnOwl/Message/AIM.pm
===================================================================
--- perl/lib/BarnOwl/Message/AIM.pm	(revision eea7bed400b55cdc510b806ea4230d174b165470)
+++ 	(revision )
@@ -1,36 +1,0 @@
-use strict;
-use warnings;
-
-package BarnOwl::Message::AIM;
-
-use base qw( BarnOwl::Message );
-
-# all non-loginout AIM messages are private for now...
-sub is_private {
-    return !(shift->is_loginout);
-}
-
-sub replycmd {
-    my $self = shift;
-    if ($self->is_incoming) {
-        return BarnOwl::quote('aimwrite', $self->sender);
-    } else {
-        return BarnOwl::quote('aimwrite', $self->recipient);
-    }
-}
-
-sub replysendercmd {
-    return shift->replycmd;
-}
-
-sub normalize_screenname {
-    my ($screenname) = @_;
-    $screenname =~ s/\s+//g;
-    return lc($screenname);
-}
-
-sub log_filenames {
-    return map { normalize_screenname($_) } BarnOwl::Message::log_filenames(@_);
-}
-
-1;
